Subject: Re: dir and ls command on our server

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Thu, 27 Mar 1997 09:31:18 +1100 (EST)

Craig,
Try starting the ftpd in debug mode and check the logs to see what get's
rcvd by the ftpd when the client does ls and what gets rcvd when the client
does dir.

Regards Geofft
>
>Hello;
>
>I am a new subscriber and I have a question:
>
>I just installed wu-ftpd V 2.4 onto our solaris 2.5.1  box and have a slight 
>problem.  Our users (using WS_FTP32 in windoze) are reporting that 
>when they connect they get no listing of the directory contents on the
>server and I've found that the ls command works properly but dir does
>not.  Here is an example session:
>
>331 Guest login ok, send your complete e-mail address as password.
>Password:
>230 Guest login ok, access restrictions apply.
>ftp> 
>ftp> ls
>200 PORT command successful.
>150 Opening ASCII mode data connection for file list.
>bin
>pub
>etc
>usr
>dev
>ftp-exec
>226 Transfer complete.
>35 bytes received in 0.032 seconds (1.1 Kbytes/s)
>ftp> dir
>200 PORT command successful.
>150 Opening ASCII mode data connection for /bin/ls.
>226 Transfer complete.
>ftp> quit
>221 Goodbye.
>
>Any suggestions?
>
>Craig 
>[email-masked]
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594